Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface NavigableView

All Superinterfaces:
  Serializable, View

All Known Subinterfaces:
  BookView, PageView

public interface NavigableView
extends View

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. A Instance or a Definition however can always be obtained from the view. The persistence APIs provides course grain and fine grain getters but only fine grain setters. If you are interested in an object and all its children then retrieve the View, if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

View class for a navigable, which is either a book or a page. In other words, Parent Books can contain both child Pages and Child Books. Navigable is a term/interface used to represent either one of these. A navigable is an item on a book that can be navigated to from a menu.

See Also:
  `View`

Field Summary
`static short` | `ALIGNMENT_LEFT` Constant for signifying that the menu tabs should align to the left.
`static short` | `ALIGNMENT_RIGHT` Constant for signifying that the menu tabs should align to the right.

Method Summary
`int` | `getAlignment()` Returns the menu tabs alignment for this navigable (page or book).
`String` | `getDefinitionLabel()` The unique definition label as defined in the .portal file.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this navigable.
`int` | `getMenuPosition()` Return the relative position of this navigable (page or book) in the menu.
`NavigableDefinition` | `getNavigableDefinition()` Retrieve the associated `NavigableDefinition` from this Navigable View.
`NavigableInstance` | `getNavigableInstance()` Retrieve the associated `NavigableInstance` from this Navigable View.
`boolean` | `isDefaultPage()` Indicates whether this is a default navigable or not.
`boolean` | `isHidden()` I this book/page hidden?

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Field Detail

### ALIGNMENT_LEFT

    public static final short ALIGNMENT_LEFT

  Constant for signifying that the menu tabs should align to the left.

  See Also:
    Constant Field Values

### ALIGNMENT_RIGHT

    public static final short ALIGNMENT_RIGHT

  Constant for signifying that the menu tabs should align to the right.

  See Also:
    Constant Field Values

Method Detail

### getNavigableInstance

    public NavigableInstance getNavigableInstance()

  Retrieve the associated `NavigableInstance` from this Navigable View. Navigable Views are immutable but Navigable Instances and Navigable Definitions are not. Therefore it is often necessary to retrieve the instance from the view in order to update its values and then in turn call the persistence API.

  Returns:
    a non null Navigable Instance.

### getNavigableDefinition

    public NavigableDefinition getNavigableDefinition()

  Retrieve the associated `NavigableDefinition` from this Navigable View. Navigable Views are immutable but Navigable Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API. The Navigable Definition is constructed (in the database) either via API of disassembling a .portal file.

  Returns:
    a non null Navigable Definition

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this navigable.

  *

  Returns:
    a non null LocalizationResourceView customized per the request.

### getDefinitionLabel

    public String getDefinitionLabel()

  The unique definition label as defined in the .portal file.

  Returns:
    a non null definition label.

### isHidden

    public boolean isHidden()

  I this book/page hidden? The hidden flag is an indicator to the parent book's `Menu` to not display a `tab` or `menu item` for this Book/Page. The Navigable can still be displayed via another link or backing files.

  Returns:
    true if the hidden flag is set.

### getAlignment

    public int getAlignment()

  Returns the menu tabs alignment for this navigable (page or book). The alignment is a hint to the menu skeleton to render the tab on the left or right side of the menu. Since this is only a hint to the menu skeleton, if the skeleton does not support it, it will have no effect.

  Returns:
    `ALIGNMENT_LEFT` or `ALIGNMENT_RIGHT`

### getMenuPosition

    public int getMenuPosition()

  Return the relative position of this navigable (page or book) in the menu. The actual position is determined by a combination of `alignment` and `menuPosition`. Positions do not have to be sequential (0,1,2,3); they can be (3,7,9), although future service packs may enforce this.

  Returns:
    the the relative position for this navigable on the main book.

### isDefaultPage

    public boolean isDefaultPage()

  Indicates whether this is a default navigable or not.

  Returns:
    Returns true if this is the default navigable within a book otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved